# $Revision: 1.16.2.4 $, $Date: 2005/10/18 09:45:53 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	IP
Summary:	Net::IP - Perl extension for manipulating IPv4/IPv6 addresses
Summary(pl):	Net::IP - rozszerzenie Perla suce do manipulacji adresami IPv4/IPv6
Name:		perl-Net-IP
Version:	1.23
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8a879191792eaeb9b6f7816a271bde2a
Patch0:		%{name}-interpreter-path.patch
BuildRequires:	perl-devel >= 1:5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-112.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::IP Perl module provides functions to deal with IPv4/IPv6
addresses. The module can be used as a class, allowing the user to
instantiate IP objects, which can be single IP addresses, prefixes, or
ranges of addresses. There is also a procedural way of accessing most
of the functions. Most subroutines can take either IPv4 or IPv6
addresses transparently.

%description -l pl
Modu Perla Net::IP zawiera funkcje operujce na adresach IPv4/IPv6.
Moduu tego mona uywa jako klasy umoliwiajcej uytkownikowi
tworzenie obiektw IP, ktrymi mog by pojedyncze adresy, prefiksy,
czy te zakresy adresw. Dostp do wikszoci funkcji moliwy jest
rwnie drog proceduraln. Wikszo procedur moe w sposb
przezroczysty operowa zarwno na adresach IPv4, jak i IPv6.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=site
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install ipcount $RPM_BUILD_ROOT%{_bindir}
install iptab $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Net/IP.pm
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-IP.spec,v $
Revision 1.16.2.4  2005/10/18 09:45:53  hawk
- merged version 1.23 from HEAD
- release 2 for Ra

Revision 1.16.2.3  2003/09/09 11:12:34  ankry
- spaces -> tabs

Revision 1.16.2.2  2003/07/11 12:03:06  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.16.2.1  2003/03/13 00:58:14  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.16  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.15  2003/02/21 10:06:56  ankry
- updated to 1.16
NOTE: newer versions require perl 5.8

Revision 1.14  2003/02/18 15:37:03  ankry
- massive attack: change CPAN URLs

Revision 1.13  2002/10/28 15:44:10  ankry
- version 1.13, translations, cleaning, added tests

Revision 1.12  2002/07/14 19:36:50  ankry
- patch (now: -paths) renamed, renumbered and updated
- release 2

Revision 1.11  2002/07/12 09:04:40  qboosh
- new %%doc and cosmetics

Revision 1.10  2002/07/11 08:02:11  depesz
- new version; should work; STBR

Revision 1.9  2002/07/10 08:48:12  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.8  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.7  2002/02/25 10:33:14  depesz
cleanup; revision++

Revision 1.6  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/13 14:19:00  depesz
automatic: Source location unified, Relase Up

Revision 1.4  2002/02/12 10:26:08  kloczek
- release 2.

Revision 1.3  2002/02/10 15:40:16  depesz
adapterized

Revision 1.2  2002/02/04 15:40:28  kloczek
- adapterized.

Revision 1.1  2002/02/02 22:42:26  zagrodzki
- initial release
